GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | List of all members
gridfire::solver::dynamicQSESpeciesIndices Struct Reference

Structure to hold indices of dynamic and QSE species. More...

`#include <solver.h>`

## Public Attributes
std::vector< size_t > | dynamicSpeciesIndices
| Indices of slow species that are not in QSE.
std::vector< size_t > | QSESpeciesIndices
| Indices of fast species that are in QSE.

## Detailed Description

Structure to hold indices of dynamic and QSE species.

This structure is used by the QSENetworkSolver to store the indices of species that are treated dynamically and those that are assumed to be in Quasi-Steady-State Equilibrium (QSE).

Definition at line 27 of file solver.h.

## Member Data Documentation

## ◆ dynamicSpeciesIndices

std::vector<size_t> gridfire::solver::dynamicQSESpeciesIndices::dynamicSpeciesIndices

Indices of slow species that are not in QSE.

Definition at line 28 of file solver.h.

## ◆ QSESpeciesIndices

std::vector<size_t> gridfire::solver::dynamicQSESpeciesIndices::QSESpeciesIndices

Indices of fast species that are in QSE.

Definition at line 29 of file solver.h.

The documentation for this struct was generated from the following file:

- src/network/include/gridfire/solver/solver.h